View Issue Details

IDProjectCategoryView StatusLast Update
0000899luatexluatex bugpublic2015-11-03 14:19
ReporterTacoAssigned Toluigi scarso 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.85.0 
Summary0000899: luazip core dump
DescriptionHi,
the script below crashes when the zip file contains at least two
files.

*** glibc detected *** texlua: double free or corruption (!prev): 0x00000000027d10e0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x79cf5)[0x7f7a57302cf5]
texlua[0x78314f]
texlua[0x612481]


This happens if opened files in the archive are not closed before the
next one is opened.

The crash happens at the end of the program if the line os.exit(0)
doesn't exist. It seems that os.exit() does some cleanup. Since the
program does what it's supposed to do I assume that it's not wrong in
general to have more than one file opened at the same time.

Regards,
 Reinhard

Steps To Reproduce-----------------------------------------------
#!/usr/bin/env texlua

kpse.set_program_name('texlua')
require('zip')

local arch=zip.open ('test.zip')
for f in arch:files() do
 print(f.filename)
 local zfile=arch:open(f.filename)
-- zfile:close()
end
arch:close()

--os.exit(0)
TagsNo tags attached.

Activities

luigi scarso

2015-03-23 16:49

developer   ~0001348

This already fails in Windows 64bit in
local arch=zip.open ('test.zip')

luigi scarso

2015-06-17 11:24

developer   ~0001386

It should be fixed now.

Issue History

Date Modified Username Field Change
2014-05-26 09:42 Taco New Issue
2015-03-21 15:17 Hans Hagen Assigned To => luigi scarso
2015-03-21 15:17 Hans Hagen Status new => assigned
2015-03-23 16:49 luigi scarso Note Added: 0001348
2015-06-17 11:24 luigi scarso Note Added: 0001386
2015-11-03 14:19 Hans Hagen Status assigned => closed
2015-11-03 14:19 Hans Hagen Resolution open => fixed
2015-11-03 14:19 Hans Hagen Fixed in Version => 0.85.0